Page MenuHomePhabricator

doc.wikimedia.org should be running PHP 5.5+, not 5.3 -> demos etc. don't work
Closed, ResolvedPublic

Description

https://doc.wikimedia.org/oojs-ui/master/demos/widgets.php has stopped working, probably because it uses 5.5+ syntax.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2016, 7:01 PM

Errrr yeah, doc.wm.o is hosted on gallium which is precise, meaning php5.3.

I think T124121: [keyresult] Migrate Jenkins to Jessie (gallium -> cobalt) is the right blocker? I'm not sure if there's an interim solution we can try until then...

hashar added a subscriber: hashar.

That is annoying ... Indeed doc.wikimedia.org is hosted on gallium which is stuck to Precise.

We have T95757 to phase out gallium. Part of it is migrating the CI core system (Zuul scheduler and Jenkins) to a new server (cobalt T124121). E_NOT_ENOUGH_TIME.

For the documentation, I would really want it to be hosted outside of the production cluster on a DMZ / isolated network. A similar need is to generate material on patch proposals and have them exposed outside of Jenkins on some public place under wmfusercontent.org. I think we had task filled for it, can't find them though.

It is probably going to be long to get that done on production system. But would certainly be easy if we based it on labs instances.

I myself can not allocate anytime to it. + Release-Engineering-Team

I'm not sure it needs to be drastic...we trust generated docs because they were merged through CR, but not necessarily every single submitted patchset.

Could doc.wm.o be served from a separate ganeti VM or something? Not sure how the whole network stuff would work since we'd still need to be able to rsync from labs.

Should project operations be added.

If that was a question (not sure as no question mark at the end): No.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:21 AM

If that was a question (not sure as no question mark at the end): No.

Hi sorry I didn't reply quicker didn't see there was a reply but yes it was a question.

Dvorapa added a subscriber: Dvorapa.Jun 8 2016, 3:48 AM

gallium had developed a fault today so they are creating a new instance running Jessie which will run a newer php. See T137265 please.

Dvorapa removed a subscriber: Dvorapa.Jun 20 2016, 10:31 AM
Krinkle added a subscriber: Krinkle.EditedSep 7 2016, 11:15 PM

Moving integration.wikimedia.org is harder due to the Zuul and Jenkins proxies. But doc.wikimedia.org is pretty much static. The only conceptual link to gallium for doc.wikimedia.org is its Apache server and the Jenkins job that uses rsync to pull content from the labs publisher.

@hashar We could probably set up a new Jessie host for that?

Higher level steps:

  • Allocate a new Jessie host with Apache and PHP installed.
  • Register as Jenkins slave.
  • Update the "pull" jobs in Jenkins (publish-on-gallium) to run there instead, and allow the doc host to access the publisher's rsync port.
  • Route doc.wikimedia.org to it.

Maybe this is a good use for Ganeti VMs? (dedicated metal might be overkill for doc.wm.o).

Harej added a subscriber: Harej.Oct 12 2016, 1:49 AM
Legoktm closed this task as Resolved.Nov 3 2016, 8:54 PM
Legoktm assigned this task to hashar.

This is fixed now.